Lookup
For authentication instructions, see API overview.
Endpoints
List all lookup values
Returns a list of lookup values. The lookup values are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/lookupvaluesResponse
No response schemaCreate lookup values
Create lookup values. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
lookupObjectIdstringkeystringlangstringvaluestringdescriptionstringimagestringpropertiesarrayactivebooleanvalidFromDatestringvalidToDatestringscopestring
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/lookupvalues \ -d 'lookupObjectId="609a8f85c2834915d0a5a5e8"' \ -d 'key="10001"' \ -d 'lang="en"' \ -d 'value="value1"' \ -d 'description="description1"' \ -d 'image="image1"' \ -d 'properties="array"' \ -d 'active=true' \ -d 'validFromDate="2023-04-19"' \ -d 'validToDate="2023-04-19"' \ -d 'scope="public"'Response
No response schemaRetrieve lookup values
Returns a single lookup value, which you can request by passing through an id in the url.
Path parameters
idstringID of the lookup value
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/lookupvalues/:idResponse
No response schemaUpdate lookup values
Path parameters
idstringID of the lookup value
Request body
lookupObjectIdstringkeystringlangstringvaluestringdescriptionstringimagestringpropertiesarrayactivebooleanvalidFromDatestringvalidToDatestringscopestring
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/lookupvalues/:id \ -d 'lookupObjectId="609a8f85c2834915d0a5a5e8"' \ -d 'key="10001"' \ -d 'lang="en"' \ -d 'value="value1"' \ -d 'description="description1"' \ -d 'image="image1"' \ -d 'properties="array"' \ -d 'active=true' \ -d 'validFromDate="2023-04-19"' \ -d 'validToDate="2023-04-19"' \ -d 'scope="public"'Response
No response schemaUpdate lookup values soft
Update lookup values soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the lookup value
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/lookupvalues/:idResponse
No response schemaCreate migrate lookup
Create migrate lookup. You need to pass through any required fields, and you can optionally pass through other fields.
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/migrate-lookupvalues